About this file
Written by GovTribe AI
· Dec 27, 2023
This document provides details for a federal contract solicitation. The solicitation number is N3220520R7008 and concerns maintenance and repair services for the USNS GRASP (T-ARS 51) vessel during its FY21 mid-term availability period. The solicitation was issued by the Department of the Navy's Military Sealift Command and seeks contractors to perform work such as repair, overhaul, and maintenance of the vessel during the specified timeframe. Responses from prospective contractors are due based on the timeline and instructions outlined in the full solicitation document.
Other files for this federal contract opportunity
Other files attached to USNS GRASP (T-ARS 51) Solicitation, newest first.
File
Type
Posted
USNS GRASP Amendment 003.pdf
PDF
Nov 24, 2020
GRASP J-2 (Revised).xlsx
XLSX spreadsheet
Nov 24, 2020
USNS GRASP FY21 MTA Amendment 0002.pdf
PDF
Oct 13, 2020
S9311-A1-MMM-020_0_A (2).pdf
PDF
Oct 13, 2020
S9311-A1-MMM-010(SHIP SERVICE GENERATOR).pdf
PDF
Oct 13, 2020
SEBU6102_0_0.pdf
PDF
Oct 13, 2020
Amendment 0002 RFCs.zip
ZIP file
Oct 13, 2020
GALLEY RANGEHOOD SYSTEM TEST REPORT - USNS GRASP 2020.pdf
PDF
Oct 13, 2020
Galley Test Report GRASP.pdf
PDF
Oct 13, 2020
SEBU5698-03-01-ALL.pdf
PDF
Oct 13, 2020
WI 0654 Rescue Boat Davit Service Revised.doc
DOC document
Oct 13, 2020
0202_A_ Reduction Gear Clutch and Brake Inspections Rev 1_Specification.doc
DOC document
Sep 29, 2020
RFC 004 - WI 561 Gauge List.docx
DOCX document
Sep 29, 2020
GRASP J-10 Interport Differential.docx
DOCX document
Sep 29, 2020
RFC 003 - WI 202 and 561.docx
DOCX document
Sep 29, 2020
0108_B_SUPERSTRUCTURE AND DECKING PRESERVATION Rev 1.doc
DOC document
Sep 29, 2020
Enclosure 2.2.1 GRASP MSIL 2019.xls
XLS spreadsheet
Sep 29, 2020
RFC 001 - Revised J-10 IDP.docx
DOCX document
Sep 29, 2020
USNS GRASP Amendment 0001.pdf
PDF
Sep 29, 2020
RFC 002 - Revised WI 0108.docx
DOCX document
Sep 29, 2020
RFC 005 - Ship Check.docx
DOCX document
Sep 29, 2020
GRASP JA Redacted.pdf
PDF
Sep 16, 2020
GRASP J-2 Category A Items 20R7008.xlsx
XLSX spreadsheet
Sep 16, 2020
GRASP J-7 MSC Ship Repair Facility Survey.docx
DOCX document
Sep 16, 2020
GRASP J-10 Interport Differential.docx
DOCX document
Sep 16, 2020
GRASP J-9 Disclosure of Lobbying Activities SF-LLL.docx
DOCX document
Sep 16, 2020
GRASP J-8 Request for Spec Clarification.docx
DOCX document
Sep 16, 2020
GRASP J-3 Category B Items 20R7008.xlsx
XLSX spreadsheet
Sep 16, 2020
GRASP J-13 Past Performance Questionnaire.docx
DOCX document
Sep 16, 2020
J-4 GFP USNS GRASP.xlsx
XLSX spreadsheet
Sep 16, 2020
GRASP J-14 Technical Data Non-Disclosure.docx
DOCX document
Sep 16, 2020
GRASP J-12 Past Performance Data.docx
DOCX document
Sep 16, 2020
USNS GRASP FY21 Solicitation 20R7008.pdf
PDF
Sep 16, 2020
GRASP J-6 CDRLs.zip
ZIP file
Sep 16, 2020
Show all 34
On GovTribe
Work with this file on GovTribe
Download the original file
Contacts named in this file
Similar government files
Ask GovTribe AI about this file
File details come from the government source that posted it.
Updated Oct 14, 2020 .